Bug 4687 - mount.cifs tries to pass prefixpath to too-old cifs.ko
mount.cifs tries to pass prefixpath to too-old cifs.ko
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
Other Linux
: P3 normal
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 16:29 UTC by Josh Kelley
Modified: 2009-10-27 14:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Kelley 2007-06-11 16:29:13 UTC
Starting with Samba 3.0.25, mount.cifs automatically tries to add the prefixpath option under some circumstances when mounting cifs filesystems, even if the version of the cifs kernel module is too old to recognize the prefixpath option.

The only way that I've found to get automount to work on CentOS 4 is to use drive names of the format sambaserver:/homedir, and the attempt to process and add the prefixpath option breaks this format.
Comment 1 Steve French 2008-12-05 14:10:57 UTC
Without prefixpath how could you have done mount \\server\share\directory\subdirectory before?

It sounds like you are not any worse off when the user space mount has added prefixpath but the kernel hasn't (the kernel would have ignored the prefixpath mount option in both cases)
Comment 2 Shirish S. Pargaonkar 2009-08-26 22:28:24 UTC
I do understand this driver name
 sambaserver:/homedir
Is it
 ://sambaserver/homedir

And if the kernel does not handle mount option prefixpath, it would not
matter whether cifs mount helper passes down this mount option or not, it
would be ignored but then with this kernel you can mount a share with
directory or subdirectory under the share, autofs or not.

So I am not sure what is broken, is homedir now treated as a prefix path
and that is a problem on CentOS 4?  If so, is this still an issue that
needs to be resolved?
Comment 3 Shirish S. Pargaonkar 2009-08-27 04:59:42 UTC
I think with newer version of autofs (autofs5?) on CentOS (4.7?),
the format ://server/share should work with cifs.

I think server:share is more like nfs syntax that is being used for cifs.

Let us know if this is still an issue that needs to be worked on.
Comment 4 Steve French 2009-10-27 14:32:59 UTC
no response ... seems to be fixed. reopen if still problem